@font-face {
    font-family: PlayfairDisplay;
    src: url(../fonts/PlayfairDisplay-VariableFont_wght.ttf);
}

* {
    -moz-box-sizing: border-box; 
    box-sizing: border-box; 
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Times New Roman', Times, serif;
    font-size: 24px;

    background-color: #442920bf;

    background-image: url("../images/tło5.png");
	background-repeat: repeat;
}

header {
    position: relative;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    overflow: hidden;

    //width: 100vw;
    height: 100vh;

    text-align: center;

    background-color: #dcbc96;

    border-bottom: 5px solid #6b5b51;
}

.navbar {
    position: fixed;
    z-index: 100;
    top: 0;
    right: 0;

    //width: 100vw;
}

/* RESPONSIVE MENU */

.menu {
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: stretch;
}

.menu li {
    margin: 0.5vw;
    list-style: none;
    white-space: nowrap;
}

.menu li a {
    text-decoration: none;
    color: inherit;
}

.button {
    position: relative;

    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;

    padding: 0.4rem 0.7rem;

    font-size: 2rem;
    text-align: center;

    color: #dcbc96;

    border-radius: 15px;

    border: 1px solid #211c0fb1;

    background-color: #4429204c;
    backdrop-filter: blur(100px);
    -webkit-backdrop-filter: blur(100px);
}

.button:hover {
    background-color: #ffffff24;
}

header > .logo-background {
    position: absolute;

    object-fit: cover;
    min-height: 100%;
    width: 100%;
    height: auto;
    
    /*background-color: #ffffffd2;*/

    /*opacity: 0.7;*/
}

.logo-text::before {
    z-index: -1;
    content: "";

    position: absolute;
    top: 0;
    left: -25%;

    width: 150%;
    height: 100%;

    border-radius: 50%;

    /*backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    mask: radial-gradient(ellipse at center, #000000e2 60%, transparent);

    background: rgb(2,0,36);
    background: radial-gradient(ellipse at center, #442920a5 0%, #442920a5 50%, rgba(255,255,255,0) 70%);*/
}

.logo-text {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    width: 100%;
    height: 60%;

    padding: 1% 1% 2% 1%;

    /*background-color: #44292022;
    backdrop-filter: blur(1px);*/

    /*backdrop-filter: blur(100px);
    -webkit-backdrop-filter: blur(100px);*/

    /*background-color: #44292052;
    backdrop-filter: blur(2px);*/
}

.logo-text > h1, .logo-text > h2 {
    font-family: 'Times New Roman', Times, serif;
    font-weight: normal;

    text-shadow: 0px 0px 20px #33231e, 0px 0px 20px #33231e, 0px 0px 20px #33231e;
    /*color: #dcbc96;*/

    /*text-shadow: 0 0 10px #442920,
                0 0 10px #442920,
                0 0 10px #442920;*/
}

.logo-text > h1 {
    font-family: PlayfairDisplay;
    font-size: min(15vw, 6rem);
    line-height: min(12vw, 4.8rem);
    /*font-size: 3.5rem;
    line-height: 2.8rem;*/

    color: #d9d8d7;
}

.signature-image {
    margin-top: 15px;
    width: min(50vw, 300px);
    height: fit-content;

    color: white;
}

/*.signature-image::before {
    content: "";
    z-index: -1;
    position: absolute;
    width: 200px;
    height: 70px;

    filter: blur(2px);

    backdrop-filter: blur(1px);
    -webkit-backdrop-filter: blur(1px);
}*/

.signature-image img {
    width: 100%;
    filter: sepia(20%);
}

.logo-text > h2 {
    font-size: 2rem;
    font-weight: lighter;
    margin-bottom: 1ch;

    color: #bdbbb9;
}

.intro-navigation {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    z-index: 10;
    height: 30%;
    margin-bottom: 10%;
    width: 100%;
}

.intro-navigation a {
    display: block;
    width: fit-content;

    padding: 5px 10px;
    margin: 1vh;

    text-decoration: none;

    font-size: min(10vw, 4rem);

    border-radius: 10px;

    color: #DCBC96;
    background-color: #6b5b51f1;
}

.intro-navigation a:first-child {
    color: #6b5b51;
    background-color: #ffe8a8;
}

.intro-navigation a:hover {
    color: #d2c08d;
    background-color: #6b5b51;
    border: 1px solid #d2c08d;
}

/* On smartphones START */

#hamburger {
    display: none;

    position: relative;
    z-index: 200;
    top: 0;
    right: 0;

    width: 50px;
    height: 60px;
    margin: 1cqw;

    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

#hamburger span {
    /*display: block;*/
    position: absolute;
    left: 0;
    opacity: 1;
    height: 14%;
    width: 90%;

    margin: 0 5%;

    border-radius: 9px;

    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;

    /*backdrop-filter: invert() grayscale() blur(10px);
    -webkit-backdrop-filter: invert() grayscale() blur(10px);*/
    background: #DCBC96;
}

.hamburger-backgroud {
    position: absolute;
    width: 100%;
    height: 100%;

    border-radius: 10px;

    /*background: #E9D7A9;*/
    background: #5e5247f6;
    /*backdrop-filter: invert() sepia() blur(10px);
    -webkit-backdrop-filter: invert() sepia() blur(10px);*/

}
  
#hamburger span:nth-child(2) {
    top: 14.5%;
}
  
#hamburger span:nth-child(3),#hamburger span:nth-child(4) {
    top: 43%;
}

/*#hamburger span:nth-child(4) {
    backdrop-filter: unset;
    -webkit-backdrop-filter: unset;
}*/

/*#hamburger.open {
    width: 110%;
}

#hamburger.open span {
    width: 100%
}*/
#hamburger.open span:nth-child(4) {
    /*backdrop-filter: invert() grayscale() blur(10px);
    -webkit-backdrop-filter: invert() grayscale() blur(10px);*/
}
  
#hamburger span:nth-child(5) {
    top: 71.5%;
}
  
#hamburger.open span:nth-child(2) {
    top: 43%;
    width: 0%;
    left: 50%;
}
  
#hamburger.open span:nth-child(3) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}
  
#hamburger.open span:nth-child(4) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
  
#hamburger.open span:nth-child(5) {
    top: 43%;
    width: 0%;
    left: 50%;
}

/*.hamburger {
    position: relative;

    z-index: 100;

    display: none;
    user-select: none;

    width: fit-content;
    height: fit-content;
    
    padding: 0 1cqw;
    margin: 1cqw;

    border-radius: 5%;

    font-size: 4rem;
    color: #cbcbcb;
    background-color: #44292077;
    backdrop-filter: invert(1) blur(10px);
    -webkit-backdrop-filter: invert(1) blur(10px);
}*/

@media (max-width: 768px) {
    .navbar {
        container-type: normal;
    }

    .navbar > ul {
        position: fixed;
        right: 0;
        top: 0;

        display: flex;
        height: 100vh;
    }

    .home-button {
        display: none;
    }

    #hamburger {
        display: block;
    }

    .menu {
        display: block;

        overflow: hidden;
        max-width: 0px;

        padding-top: 4vh;

        transition: max-width 0.5s ease-in-out;

        font-size: 3rem;

        background-color:#5e5247f6;
    }

    #hamburger.open ~ .menu {
        max-width: 100vw;
    }

    .menu > li {
        font-size: 2rem;
        text-align: left;
        padding: 2vw;
        width: 70vw;

        background-color: unset;
    }

    .menu > li.button {
        border: unset;
        backdrop-filter: unset;
        -webkit-backdrop-filter: unset;
        background-color: unset;
    }

    .button:hover {
        background-color: #ffffff24;
    }

    .logo-text > h1 {
    }
}  /* On smartphones END */

/* MAIN */

main {
    min-height: 85vh;

    //padding: 1ch 1ch 0 1ch;

    display: flex;
    flex-direction: column;
    align-items: center;

    box-shadow: inset 0 40px 40px -7px #201313a5;
}

section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    //width: 100vw;
    width: 100%;

    color: #442920;
}

section > p, section > h2 {
    margin: 5px 5px 10px 5px;
    text-align: center;
}

#offer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    /*flex-direction: row;
    flex-wrap: wrap;*/

    padding: 10px 0;
}

#offer > a {
    margin: 1% 1% 3% 1%;
    text-decoration: none;
}

#offer > a > div {
    max-width: 400px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

#offer img {
    object-fit: cover;

    width: 90%;
    max-width: 400px;
    height: auto;

    margin-bottom: 5px;

    transition: transform .2s;

    filter: contrast(110%) brightness(125%);
    -webkit-box-shadow: 7px 7px 19px 18px rgba(26, 23, 21, 0.69);
    -moz-box-shadow: 7px 7px 19px 18px rgba(26, 23, 21, 0.69);
    box-shadow: 7px 7px 19px 18px rgba(26, 23, 21, 0.69);
}

#offer > a:hover img {
    transform: scale(1.1);
}

.loader {
    z-index: 999;
    margin: auto;
    border: 3px solid #f3f3f3;
    border-top: 3px solid goldenrod;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

#offer img[data-loaded="true"] {
    animation-name: showLazyImg;
    animation-duration: 0.5s;
    animation-fill-mode: both;
}
@keyframes showLazyImg {
    0% { transform: scale(0); }
    100% { transform: scale(1) }
}


#offer h2 {
    width: 100%;
    font-size: 1.5rem;
    font-weight: normal;
    font-family: PlayfairDisplay;
    /*border-color: #d4ac45;*/
}

.offer-title {
    z-index: 10;

    padding: 5px 5px 10px 5px;

    text-align: center;
    border-radius: 10px;

    color: #cfc7a9;
    background-color: #6b5b51e8;
}

#about {
    display: block;
    padding: 10px 5px;
    backdrop-filter: brightness(125%);
    mask: linear-gradient(transparent, #000000e2 1%);
    background: linear-gradient(transparent 99%, #DBC7B3 100%);
}

#about > div {
    margin: auto;
    max-width: 1000px;
}

#about img {
    float: left;
    margin: 5px;
    width: 100px;
}

#about p {
    font-size: 1.3rem;
    text-align: justify;
}

#contact {
    /*display: flex;
    flex-direction: row;
    flex-wrap: wrap;*/

    padding-top: 20px;    

    background-color: #DBC7B3;
}

h2 {
    margin-bottom: 20px;
}

h3 {
    margin-bottom: 10px;
    font-weight: normal;
}

#contact > .map {
    width: 100%;
    height: 400px;
}

.icon {
    margin-right: 0.5ch;
}

.icon.sep {
    font-size: inherit;
    font-size: 1.3rem;
    margin: 0 0.5ch;
    color: #8d7e79;
}

.phone-number, .mailto {
    padding: 2px 5px;
    border-radius: 5px;

    text-decoration: none;

    border: 1px solid #442920;

    color: greenyellow;

    background-color: #927f6d;
}

.phone-number {
    white-space: nowrap;
}

footer {
    padding: 0.5%;
    height: fit-content;

    background-color: #453f31;
    color: #cbbc95;
}

footer > p {
    margin: 0;
    padding: 0;

    font-size: 1.2rem;
    text-align: center;
}

.small-stamp {
    display: block;
    margin: 5px auto;
}

.signature {
    font-size: 1rem;
    color: #c7a680;
}

.signature > a {
    color: greenyellow;
}

.login {
    text-decoration: none;
    text-align: center;
    font-size: 2rem;

    color: #4f744a;
}